Designs
Get design product by ID
Use this endpoint to retrieve one product of a swag design. The product has the same shape as in GET /v3/products/{productId}. It is returned only if it belongs to the given design.
Request parameters
designId- required design UUIDproductId- required product UUIDSnappy-Account-Idheader - required account identifierlocation- ISO 3166-1 alpha-2 country code, defaults toUS. Drives price and availability
Optional parameters
include- comma-separated related entities:brand,tagsfields- comma-separated computed fields:priceRange,variantsCount
Please note
- A product that does not exist, or that belongs to another design, responds with
404and the same error code. - Designs that are still being generated are not returned and respond with
404. - Unknown query parameters return a 400 error.
Permissions
- Requires:
swag:designs:read
GET
Get design product by ID
Authorizations
Headers
Path Parameters
Query Parameters
Response
The product of the design.
Product of a design.
Last modified on November 18, 2026